<?php

namespace UtilityModule\Service;

use Interop\Container\ContainerInterface;
use Zend\Config\Config;

class AuthServiceFactory
{
    /**
     * @param ContainerInterface $container
     * @return AuthService
     */
    public function __invoke(ContainerInterface $container): AuthService
    {
        $configArr = $container->get('config')['acl_config'];
        return new AuthService(new Config($configArr));
    }
}
